Bug 1126797 - Odd vCPU topology dropped by libvirt [NEEDINFO]
Summary: Odd vCPU topology dropped by libvirt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: 3.4.2
Assignee: Roy Golan
QA Contact: meital avital
URL:
Whiteboard: virt
Depends On: 1121295
Blocks: 1123858
TreeView+ depends on / blocked
 
Reported: 2014-08-05 10:11 UTC by rhev-integ
Modified: 2019-04-28 09:47 UTC (History)
17 users (show)

Fixed In Version: org.ovirt.engine-root-3.4.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1121295
Environment:
Last Closed: 2014-09-04 15:10:27 UTC
oVirt Team: ---
rgolan: needinfo?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1161 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.2 update 2014-09-04 19:09:32 UTC
oVirt gerrit 30594 master ABANDONED Fix xml maximum vcpus for odd number of vCores Never
oVirt gerrit 31029 ovirt-engine-3.5 MERGED core: pass MaxNumberOfSockets to create verb Never
oVirt gerrit 31032 ovirt-3.5 ABANDONED refine calculation of cpu topology Never
oVirt gerrit 31054 ovirt-engine-3.4 ABANDONED core: pass MaxNumberOfSockets to create verb Never
oVirt gerrit 31128 None None None Never
oVirt gerrit 31484 ovirt-engine-3.5 MERGED core: maxVCpus revised Never
oVirt gerrit 31487 ovirt-engine-3.4 MERGED core: maxVCpus revised Never

Comment 3 Michal Skrivanek 2014-08-14 06:28:46 UTC
needs one more fix - http://gerrit.ovirt.org/#/c/31439/

Comment 6 meital avital 2014-08-28 07:00:25 UTC
Verified - av11

Note: regarding step 3 - the calculation of 'Total Virtual CPUs' should be sockets*cores <= 160 (not including threads).

Roy Golan - if you have any comment or more steps that you want us to verify please specify.

Comment 7 Roy Golan 2014-08-31 06:31:03 UTC
can you just specify what's the vm setup (cpus, cores) and the output of the vdsm log when running the VM?

if you can do this grep right after the vm stars

egrep 'vcpu|topology' /var/log/vdsm/vdsm.log

Comment 9 errata-xmlrpc 2014-09-04 15:10:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1161.html

Comment 10 Roy Golan 2014-09-16 08:03:24 UTC
(In reply to meital avital from comment #6)
> Verified - av11
> 
> Note: regarding step 3 - the calculation of 'Total Virtual CPUs' should be
> sockets*cores <= 160 (not including threads).
> 
> Roy Golan - if you have any comment or more steps that you want us to verify
> please specify.

please see comment #7 - the final verify would be to get the numbers
out as well and to see they are expected


Note You need to log in before you can comment on or make changes to this bug.